Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
margo704
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.08.2005
Postitused: 242

Distributsioon: Estobuntu 11.11
blank.gif
postituspostitatud: 31.10.2006, 09:10  postituse pealkiri:  ID-kaart ja Kubuntu ja Firefox 2.0  

Kui panin peale Kubuntu 6.10, siis ei tööta Firefoxiga (2.0) enam ID-kaart. Kui proovin näiteks pilet.ee-s sisse logida, siis küsib, et kas pin1 või pin2, nagu Firefoxil kombeks, ja siis viskab ette dialoogiakna kirjaga "Error establishing an encrypted connection to www.pilet.ee. Error Code: -8037." Ja hanza.net-is ütleb hoopiski nii:
"This address is restricted
This address uses a network port which is normally used for purposes other than Web browsing. Firefox has canceled the request for your protection."
Ei tea kas uues Firefoxis on mingit turvalisuse taset suurendatud vms ja ei tea, kas seda saaks kuidagi maha keerata.

Tavalise Mozillaga aga töötab kõik ilusasti.

ID-kaardiga autentimise töölesaamine iseenesest on (K)ubuntus väga lihtne. Mul on see ID-kaardi lugeja, mis on Elioni ID-kaardi stardikomplektis. Ma ei tea, kas teistega ka nii lihtne on.
Mina tegin nii:
1. Kõigepealt installisin vajalikud paketid:
Kood:
sudo apt-get install opensc pcscd libccid


2. Siis võtsin failis /etc/opensc/opensc.conf real
Kood:
# try_emulation_first = yes;

trellid eest ära.

3. Siis proovisin käsuga
Kood:
opensc-tool --list-readers
, kas tunneb lugeja ära. Kui tunneb, siis peaks (vähemalt minu lugeja puhul) näitama umbes midagi sellist:
Kood:

Nr.    Driver     Name
0      pcsc       SCM SCR 331 (50500744) 00 00


4. Siis panin ID-kaardi lugejasse ja andsin käsu:
Kood:
pkcs15-tool --list-certificates

Kui selle peale näitab midagi sellist:
Kood:

X.509 Certificate [Isikutuvastus]
        Flags    : 0
        Authority: no
        Path     : 3f00eeeeaace
        ID       : 01

X.509 Certificate [Allkirjastamine]
        Flags    : 0
        Authority: no
        Path     : 3f00eeeeddce
        ID       : 02
, siis on kõik korras.

5. Kuna mul Firefoxiga ei toimi, siis installisin Mozilla:
Kood:
sudo apt-get install mozilla


6. Siis tegin (brauseriga, millega tahan autentida, antud juhul siis Mozillaga) nii, nagu õpetatakse lehel http://www.opensc-project.org/ideelabor/wiki/VeebisAutentimineMozillaga
St intallisin ID-kaardiga seotud sertifikaadid:
Sertifitseerimiskeskuse juursertifikaat - http://www.sk.ee/files/JUUR-SK.PEM.cer
Sertifitseerimiskeskuse EstEID sertifikaat - http://www.sk.ee/files/ESTEID-SK.PEM.cer
Sertifitseerimiskeskuse klass 3 sertifikaat - http://www.sk.ee/files/KLASS3-SK.PEM.cer

Ja laadisin pkcs11 mooduli brauserisse: sisestasin aadressil http://www.opensc-project.org/ideelabor/wiki/VeebisAutentimineMozillaga lahtrisse "Asukoht" pkcs11 mooduli asukoha (Kubuntul on selleks /usr/lib/opensc-pkcs11.so ) ja vajutasin nuppu "Lae moodul".

Ja ongi kõik.

Aga siiski tahaks Firefoxiga ka pangas käia. Kas on üldse veel siin selliseid, kes (K)ubuntus ID-kaarti kasutavad?




Viimati muutis margo704 31.10.2006, 10:20; muudetud 1 kord
Hardi

Pingviini aktivist
Pingviini aktivist


Vanus: 42
Liitunud: 31.10.2005
Postitused: 153

Distributsioon: Arch64
estonia.gif
postituspostitatud: 31.10.2006, 10:15  postituse pealkiri:  (teema puudub)  

Võibolla saab nii

mozilla1.5 on (firefox 2.0 ei tea pole veel tõmmanud) kusagil .mozilla/firefox/.... kataloogis prefs.js fail kui sinna lisada rida user_pref("network.security.ports.banned.override", "pordi number"); pordi numbri asemel kirjutad selle pordi kuhu ta sull ühenduda ei lasknud... selle saab sinna lisada ka kui kirjutad addresi ribale about:config ja vajutad paremat hiire klõpsu ja sealt new...


margo704
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.08.2005
Postitused: 242

Distributsioon: Estobuntu 11.11
blank.gif
postituspostitatud: 31.10.2006, 10:26  postituse pealkiri:  (teema puudub)  

Jah, nüüd hanza.net-is seda viga enam ei anna, mis varem andis. Aga seda "Error establishing an encrypted connection to ..." ütleb ikkagi. Nüüd ka hanza.net-is.


co
Pingviini aktivist
Pingviini aktivist



Liitunud: 19.10.2006
Postitused: 106
Asukoht: KO38KA
Distributsioon: Slackware
estonia.gif
postituspostitatud: 31.10.2006, 10:58  postituse pealkiri:  (teema puudub)  

Mul sama probleem.
Vanema Firefoxiga oli nii,et kõigepealt eemaldasin pkcs11 mooduli ja siis lisasin ta uuesti ning see aitas.Firefox 2.0-ga ei aita see vigur ka.
Hanza.net kasutab 563(NNTPS) porti.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4359
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 31.10.2006, 11:28  postituse pealkiri:  (teema puudub)  

firefoxi seadetest on seal samas kohas, kus tuleb valida, et ta igal logimisel küsiks uuesti, millist serti kasutada (mitte automaatne valik), üks nupp "Security Devices", kui seda vajutate, peaks saama mõlemad pin koodid sisestada ja peale seda peaks hakkama firefox toimima..

_________________
Image Image Image

margo704
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.08.2005
Postitused: 242

Distributsioon: Estobuntu 11.11
blank.gif
postituspostitatud: 31.10.2006, 12:34  postituse pealkiri:  (teema puudub)  

Jah, ongi nii, toimib. Aga seda ainult nii kaua, kui firefoxi kinni panen ja uuesti avan - siis tuleb see toiming seal "Security Devices" all uuesti teha Sad


indrek
Vana Pingviin
Vana Pingviin


Vanus: 41
Liitunud: 08.07.2005
Postitused: 412
Asukoht: Tallinn
Distributsioon: Kubuntu
blank.gif
postituspostitatud: 31.10.2006, 13:05  postituse pealkiri:  (teema puudub)  

Mulle tundub, et selline asi kisendab firefoxi extensioni järele. On siin kedagi, kel mõistust ja tahtmist asi ära teha?


sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4359
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 31.10.2006, 14:08  postituse pealkiri:  (teema puudub)  

pigem on see mingi puuk, mida võiks ntx kusagilt käsurealt jälitada ja siis mozillale teada anda, sest windowsi all minu mäletamist mööda selle asjaga probleeme ei olnud, suht kindel, et windows andis vastava akna, et parool sisestada..

_________________
Image Image Image

margo704
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.08.2005
Postitused: 242

Distributsioon: Estobuntu 11.11
blank.gif
postituspostitatud: 31.10.2006, 15:11  postituse pealkiri:  (teema puudub)  

Nii, ma sattusin nüüd windowsi taha. Proovisin siin ka Firefox 2.0-ga. Hanza.net-iga on siin ka sama jama. Aga sellest saab tänu Hardi õpetusele jagu. Standardse pordi puhul aga toimib asi nii, nagu peab.

Keegi võiks tõesti Mozillale sellest teatada. Keegi, kes ise ka aru saab, millest räägib Very Happy


zeratul
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 22.02.2006
Postitused: 120
Asukoht: Kiili
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 12.11.2006, 11:04  postituse pealkiri:  (teema puudub)  

See hanza neti jama FF2.0-ga peaks hanzaneti kapsaaeda minema, kuna nad kasutavad porti, mis on juba reserveeritud. Hanzaneti kodukal on juhend kirjas, kuidas viga parandada.


ilmar
Pingviini kasutaja
Pingviini kasutaja


Vanus: 54
Liitunud: 21.07.2006
Postitused: 41
Asukoht: Tallinn
Distributsioon: Ubuntu 10.10
estonia.gif
postituspostitatud: 03.12.2006, 20:07  postituse pealkiri:  (teema puudub)  

Kas on keegi saanud FF2.0-ga ID-kaarti tööle või võib selle ära unustada, olen 2x korda teinud puhta installi ja katsetanud erinevaid õpetusi, aga tulemuseks on peale sertifikaadi valimist: "Error establishing an encrypted connection to id.seb.ee. Error Code: -8037.", kuigi peaks küsima PIN1 Crying or Very sad

_________________
Ilmar

https://www.dropbox.com/referrals/NTM2MDA2MTI5

margo704
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.08.2005
Postitused: 242

Distributsioon: Estobuntu 11.11
blank.gif
postituspostitatud: 04.12.2006, 08:17  postituse pealkiri:  (teema puudub)  

ilmar kirjutas:
Kas on keegi saanud FF2.0-ga ID-kaarti tööle või võib selle ära unustada, olen 2x korda teinud puhta installi ja katsetanud erinevaid õpetusi, aga tulemuseks on peale sertifikaadi valimist: "Error establishing an encrypted connection to id.seb.ee. Error Code: -8037.", kuigi peaks küsima PIN1 Crying or Very sad



Seda probleemi on ju juba siin teemas üsna pikalt seletatud:

sander85 kirjutas:
firefoxi seadetest on seal samas kohas, kus tuleb valida, et ta igal logimisel küsiks uuesti, millist serti kasutada (mitte automaatne valik), üks nupp "Security Devices", kui seda vajutate, peaks saama mõlemad pin koodid sisestada ja peale seda peaks hakkama firefox toimima..


margo704 kirjutas:
Jah, ongi nii, toimib. Aga seda ainult nii kaua, kui firefoxi kinni panen ja uuesti avan - siis tuleb see toiming seal "Security Devices" all uuesti teha Sad


Kui ei viitsi igakord sealt "Security Devices" alt PIN-i sisestada, siis kasuta Firefoxi asemel Mozillat, tollega toimib kõik ilusti.


Vincento
Uus kasutaja
Uus kasutaja


Vanus: 41
Liitunud: 30.03.2007
Postitused: 1


estonia.gif
postituspostitatud: 31.03.2007, 05:49  postituse pealkiri:  Re: ID-kaart ja Kubuntu ja Firefox 2.0  

2. Siis võtsin failis /etc/opensc/opensc.conf real
Kood:
# try_emulation_first = yes;

trellid eest ära.

Kõik on tore, aga palun ütle mulle ka mismoodi sa sealt trellid eest ära võtsid, ma olen proovinud nii ja naa, aga kuidagi ei saa


spott
Admin
Admin


Vanus: 39
Liitunud: 04.06.2005
Postitused: 8784

Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 31.03.2007, 06:28  postituse pealkiri:  (teema puudub)  

sudo gedit /etc/opensc/opensc.conf

Ja siis saad seda faili muuta

_________________
Tellige endale sünnipäevaks, sõbrapäevaks või muuks tähtpäevaks kingitus: Kingitused internetist - NetiKink.eu

spott
Admin
Admin


Vanus: 39
Liitunud: 04.06.2005
Postitused: 8784

Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 01.04.2007, 17:05  postituse pealkiri:  (teema puudub)  

Kas keegi oskab öelda, kaugel selle Firefoxi vea parandamine on?
Praegu Feistys sain asja Seamonkeyga tööle, kuid Firefoxiga ikka mitte....

_________________
Tellige endale sünnipäevaks, sõbrapäevaks või muuks tähtpäevaks kingitus: Kingitused internetist - NetiKink.eu

pacho
Moderaator
Moderaator


Vanus: 38
Liitunud: 08.07.2005
Postitused: 618

Distributsioon: Debian GNU/Linux
blank.gif
postituspostitatud: 24.04.2007, 23:05  postituse pealkiri:  (teema puudub)  

Homsest ka sunniviisiline iiideee omanik Sad
Tegin väikse skripti Feisty jaoks, mis teeb paigaldusel enamiku tüütuseid ära.

Tsitaat:
#!/bin/bash
#http://pingviin.org/viewtopic.php?p=12702#12702
echo 'Skripti autor ei vastuta mingil viisil yhegi tekkinud
k4ki eest.
Kas oled sellega nõus (j/e)? '
read answer
if [ "$answer" = j ]
then
echo 'Alustan...'; else
exit 1
fi

if grep -q feisty /etc/apt/sources.list; then
echo 'Kasutatav distributsioon on Ubuntu Feisy Fawn,'
echo 'paigaldus jätkub'; else
echo 'see ei ole Ubuntu Feisty Fawn'
exit 1
fi

echo 'Paigaldan opensc, pcscd, libccid pakke ...'
echo 'Sisesta salas6na'
sudo apt-get -qq -y --force-yes install opensc pcscd libccid

if test -f /etc/init.d/pcscd; then
echo 'pcscd paigaldatud!'
echo 'Jätkan paigaldust'; else
echo 'Paigaldamine ebaõnnestus!'
exit 1
fi

sudo sed -i 's/# try_emulation_first = yes/ try_emulation_first = yes/g' /etc/opensc/opensc.conf
sudo sed -i 's/# lock_login = true/ lock_login = false/g' /etc/opensc/opensc.conf

if test -f /usr/lib/jvm/java-6-sun/jre/README; then
cd /tmp
wget http://ideelabor.ee/downloads/pkcs11wrapper-linux.tar.gz
tar xvf pkcs11wrapper-linux.tar.gz
sudo cp libpkcs11wrapper.so /usr/lib/jvm/java-6-sun/jre/lib/i386/
fi

if test -f /usr/lib/jvm/java-1.5.0-sun-1.5.0.06/jre/lib/README; then
cd /tmp
wget http://ideelabor.ee/downloads/pkcs11wrapper-linux.tar.gz
tar xvf pkcs11wrapper-linux.tar.gz
sudo cp libpkcs11wrapper.so /usr/lib/jvm/java-1.5.0-sun-1.5.0.06/jre/lib/i386/
fi

sudo ln -sf /usr/lib/opensc-pkcs11.so /usr/lib/libesteid-pkcs11.so # seda kasutab SEB ühispank
sudo ln -sf /usr/lib/opensc-pkcs11.so /usr/lib/libopensc-pkcs11.so # seda kasutab DigiDoci portaal

sudo /etc/init.d/pcscd restart

echo 'Kohe avaneb Firefoxi aken. Palun jälgige lehel olevaid juhiseid ja paigaldage ID-kaardi sertifikaadid ning moodul.'

firefox http://ideelabor.ee/opensource/wiki/IdKaardiTarkvara/VeebisAutentimineMozillaga &

sudo /etc/init.d/pcscd restart

exit

_________________
http://blog.pacho.pri.ee/

pacho
Moderaator
Moderaator


Vanus: 38
Liitunud: 08.07.2005
Postitused: 618

Distributsioon: Debian GNU/Linux
blank.gif
postituspostitatud: 25.04.2007, 20:45  postituse pealkiri:  (teema puudub)  

Quick-and-dirty häkk.

sudo apt-get remove opensc libopensc2

wget http://pacho.pri.ee/jagatud/pingviin/opensc-mp_0.11.1+svn-1_i386.deb

sudo dpkg -i opensc-mp_0.11.1+svn-1_i386.deb

sudo ln -sf /usr/lib/opensc-auth-pkcs11.so /usr/lib/libesteid-pkcs11.so
sudo ln -sf /usr/lib/opensc-auth-pkcs11.so /usr/lib/libopensc-pkcs11.so

sudo /etc/init.d/pcscd restart

EDIT: Unustasin öelda mis see tegema peaks Very Happy . PIN2 vea parandab ära . Kasutamine on järjekordselt omal vastutusel. Ei toimi kõikide lugejatega. Elioni 95 kroonine junn on hea valik :)

EDIT2: Ära tuleb käia ka http://ideelabor.ee/opensource/wiki/IdKaardiTarkvara/VeebisAutentimineMozillaga lehel ja ID kaardi mooduli asukoht muuta järgnevaks '/usr/lib/opensc-auth-pkcs11.so '

_________________
http://blog.pacho.pri.ee/



Viimati muutis pacho 25.04.2007, 21:58; muudetud 2 korda
cbr
Pingviini aktivist
Pingviini aktivist


Vanus: 31
Liitunud: 31.08.2005
Postitused: 283
Asukoht: Tallinn/Rakvere
Distributsioon: Kubuntu GNU/Linux
estonia.gif
postituspostitatud: 25.04.2007, 21:06  postituse pealkiri:  (teema puudub)  

Millal see viga upstreamis ära parandatakse ka?

Muidu, kui mina proovisin, siis ei saanudki teistmoodi asja tööle, kui pidin panema Firefoxi iga kord küsima sertifikaati. Kas see on ka mingi puuk ve?


pacho
Moderaator
Moderaator


Vanus: 38
Liitunud: 08.07.2005
Postitused: 618

Distributsioon: Debian GNU/Linux
blank.gif
postituspostitatud: 25.04.2007, 21:26  postituse pealkiri:  (teema puudub)  

Puuk jah. See svn'i versioon ei tööta kõikide kaardilugejatega, kui stabiilseks saab siis ...

_________________
http://blog.pacho.pri.ee/

zeratul
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 22.02.2006
Postitused: 120
Asukoht: Kiili
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 12.06.2007, 10:45  postituse pealkiri:  (teema puudub)  

Ei tea mis värk on mul, aga kõik justkui töötab ja java control panel näitab ilusti SEB sertifikaati, aga kui tahan raha ülekannet teha, siis annab sellsie akna ette:
[img]http://pingviin.org/album_picm.php?pic_id=163&sid=2476f2b81b325556fc45693687568b20[/img]

Seal peaks nagu näitama seda certi või mis, aga millegipärast ei näita midagi?


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group